package com.boman.system.service;

import com.boman.system.common.MainTableRecord;
import com.boman.system.common.RowResult;

import java.util.List;

/**
 * @author shiqian
 * @description
 * @date 2021年03月22日 11:25
 **/
public interface IBaseSaveService {


    /**
     * 功能描述: 保存一行
     *
     * @param tableName         tableName
     * @param pkName            主键名称
     * @param maxId             最大的SEQ
     * @param row               要保存的数据
     * @param allColumnNameList 这是此表的所有字段属性名称，用来判断是否所有UPDATE_BY和UPDATE_TIME
     * @return com.boman.system.common.RowResult
     */
    RowResult insertRow(String tableName, String pkName, Long maxId, MainTableRecord row, List<String> allColumnNameList);

}
